changeset 3238:13a4c35f7a0b stable

util: add a small script to help with the merging of branches We have multiple test-compat branches merging them can be a bit tedious. We add a nice script doing so for us.
author Pierre-Yves David <pierre-yves.david@octobus.net>
date Mon, 23 Oct 2017 15:55:12 +0200
parents 70dbd02f5869
children c3953ae44b87
files contrib/merge-test-compat.sh
diffstat 1 files changed, 15 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/contrib/merge-test-compat.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -euox pipefail
+
+unset GREP_OPTIONS
+NOTOPIC="--config experimental.topic-mode=ignore"
+
+compatbranches=`hg branches --quiet | grep 'mercurial-' | grep -v ':' | sort -n --reverse`
+prev='stable'
+for branch in $compatbranches; do
+    hg up $branch
+    hg merge $prev
+    hg commit -m "test-compat: merge $prev into $branch"
+    prev=$branch
+done
+